* {
    padding: 0;
    margin: 0;
}

.container {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
}

.calculator-div {
    background-color: rgba(0, 0, 0, 0.7);
    padding: 5px;
    width: 30%;
    height: 75%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.display input {
    font-size: 30px;
    width: 100%;
    color: black;
    border: 1px solid black;
    outline: none;
    background-color: white;
    height: 90px;
}



.btn-div input {
    background-color: black;
    color: white;
    border-radius: 50%;
    width: 70px !important;
    height: 70px !important;
    font-size: 20px;
    transition: all 0.4s;
}

#inputs:hover {
    background-color: rgb(34, 34, 34);
    border: 1px solid white;
}


.operator {
    border: 1px solid white;
    background-color: rgba(245, 3, 3, 0.7) !important;
    transition: all 0.4s;
    font-size: 25px !important;
}

.operator:hover {
    background-color: white !important;
    border: 1px solid red !important;
    color: black;
}

.btn-div div {
    display: flex;
    justify-content: space-around;
    margin: 5px;
}

@media (max-width:1000px) {
    .calculator-div {
        /* background-color: aqua; */
        justify-content: space-around;
        width: 40%;
    }

}

@media (max-width:630px) {
    .calculator-div {
        /* background-color: rebeccapurple; */
        justify-content: space-around;
        width: 70%;
    }

}

@media (max-width:450px) {
    .calculator-div {
        /* background-color: firebrick; */
        justify-content: center;
        width: 100%;
        height: 80vh;
    }
    .display{
        height: 150px;
    }

}